import { Diagnostic } from './diagnostic.cjs';
import { DiagnosticFix } from './diagnostic-fix.cjs';
import { Observable } from 'rxjs';
import { TextEdit } from '../common/text-edit.cjs';
import '../common/range.cjs';
import '../common/position.cjs';

interface DiagnosticsChanged {
    uri: string;
    version?: number;
    diagnostics: Diagnostic[];
}
interface DiagnosticProvider<T = TextEdit> {
    readonly id: string;
    readonly diagnosticsChanged$: Observable<DiagnosticsChanged>;
    init(): Promise<void>;
    getDiagnostics(uri: string): Promise<Diagnostic[]>;
    getDiagnosticFixes(uri: string, diagnostic: Diagnostic): Promise<DiagnosticFix<T>[]>;
}

export type { DiagnosticProvider, DiagnosticsChanged };
