import { Range } from '../common/range.js';
import '../common/position.js';

declare enum DiagnosticSeverity {
    Error = 1,
    Warning = 2,
    Information = 3,
    Hint = 4
}
interface Diagnostic {
    code: string | number;
    source: string;
    range: Range;
    severity: DiagnosticSeverity;
    message: string;
    data?: unknown;
}

export { type Diagnostic, DiagnosticSeverity };
