import { Document } from './document.cjs';
import { TextDocumentChange } from './text-document-change.cjs';
import '../common/position.cjs';
import '../common/range.cjs';

interface DocumentFactory<TDoc extends Document = Document, TChange = TextDocumentChange, TContent = string> {
    create(uri: string, format: string, version: number, content: TContent): TDoc;
    update(document: TDoc, changes: readonly TChange[], version: number): TDoc;
}

export type { DocumentFactory };
