import { Document } from './document.js';
import { TextDocumentChange } from './text-document-change.js';
import '../common/position.js';
import '../common/range.js';

interface DocumentFactory<TDoc extends Document = Document, TChange = TextDocumentChange, TContent = string> {
    create(uri: string, format: string, version: number, content: TContent): TDoc;
    update(document: TDoc, changes: readonly TChange[], version: number): TDoc;
}

export type { DocumentFactory };
