import { Range } from '../common/range.cjs';
import { TextEdit } from '../common/text-edit.cjs';
import { Document } from './document.cjs';
import '../common/position.cjs';

interface EditFactory<TDoc extends Document = Document, TEdit = TextEdit> {
    createTextEdit(document: TDoc, range: Range, newText: string): TEdit[];
}

export type { EditFactory };
