import { Range } from '../common/range.js';
import { TextEdit } from '../common/text-edit.js';
import { Document } from './document.js';
import '../common/position.js';

interface EditFactory<TDoc extends Document = Document, TEdit = TextEdit> {
    createTextEdit(document: TDoc, range: Range, newText: string): TEdit[];
}

export type { EditFactory };
