"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var scripture_document_exports = {};
__export(scripture_document_exports, {
  ScriptureNodeType: () => ScriptureNodeType,
  findScriptureNodes: () => findScriptureNodes
});
module.exports = __toCommonJS(scripture_document_exports);
var ScriptureNodeType = /* @__PURE__ */ ((ScriptureNodeType2) => {
  ScriptureNodeType2[ScriptureNodeType2["Document"] = 0] = "Document";
  ScriptureNodeType2[ScriptureNodeType2["Book"] = 1] = "Book";
  ScriptureNodeType2[ScriptureNodeType2["Paragraph"] = 2] = "Paragraph";
  ScriptureNodeType2[ScriptureNodeType2["Chapter"] = 3] = "Chapter";
  ScriptureNodeType2[ScriptureNodeType2["Verse"] = 4] = "Verse";
  ScriptureNodeType2[ScriptureNodeType2["Milestone"] = 5] = "Milestone";
  ScriptureNodeType2[ScriptureNodeType2["Text"] = 6] = "Text";
  ScriptureNodeType2[ScriptureNodeType2["CharacterStyle"] = 7] = "CharacterStyle";
  ScriptureNodeType2[ScriptureNodeType2["Note"] = 8] = "Note";
  ScriptureNodeType2[ScriptureNodeType2["Table"] = 9] = "Table";
  ScriptureNodeType2[ScriptureNodeType2["Row"] = 10] = "Row";
  ScriptureNodeType2[ScriptureNodeType2["Cell"] = 11] = "Cell";
  ScriptureNodeType2[ScriptureNodeType2["Ref"] = 12] = "Ref";
  ScriptureNodeType2[ScriptureNodeType2["OptBreak"] = 13] = "OptBreak";
  ScriptureNodeType2[ScriptureNodeType2["Sidebar"] = 14] = "Sidebar";
  return ScriptureNodeType2;
})(ScriptureNodeType || {});
function* findScriptureNodes(node, filter) {
  for (const child of node.children) {
    if (filter == null || Array.isArray(filter) && filter.includes(child.type) || typeof filter === "function" && filter(child) || child.type === filter) {
      yield child;
    }
    yield* findScriptureNodes(child, filter);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ScriptureNodeType,
  findScriptureNodes
});
