var ScriptureNodeType = /* @__PURE__ */ ((ScriptureNodeType2) => {
  ScriptureNodeType2[ScriptureNodeType2["Document"] = 0] = "Document";
  ScriptureNodeType2[ScriptureNodeType2["Book"] = 1] = "Book";
  ScriptureNodeType2[ScriptureNodeType2["Paragraph"] = 2] = "Paragraph";
  ScriptureNodeType2[ScriptureNodeType2["Chapter"] = 3] = "Chapter";
  ScriptureNodeType2[ScriptureNodeType2["Verse"] = 4] = "Verse";
  ScriptureNodeType2[ScriptureNodeType2["Milestone"] = 5] = "Milestone";
  ScriptureNodeType2[ScriptureNodeType2["Text"] = 6] = "Text";
  ScriptureNodeType2[ScriptureNodeType2["CharacterStyle"] = 7] = "CharacterStyle";
  ScriptureNodeType2[ScriptureNodeType2["Note"] = 8] = "Note";
  ScriptureNodeType2[ScriptureNodeType2["Table"] = 9] = "Table";
  ScriptureNodeType2[ScriptureNodeType2["Row"] = 10] = "Row";
  ScriptureNodeType2[ScriptureNodeType2["Cell"] = 11] = "Cell";
  ScriptureNodeType2[ScriptureNodeType2["Ref"] = 12] = "Ref";
  ScriptureNodeType2[ScriptureNodeType2["OptBreak"] = 13] = "OptBreak";
  ScriptureNodeType2[ScriptureNodeType2["Sidebar"] = 14] = "Sidebar";
  return ScriptureNodeType2;
})(ScriptureNodeType || {});
function* findScriptureNodes(node, filter) {
  for (const child of node.children) {
    if (filter == null || Array.isArray(filter) && filter.includes(child.type) || typeof filter === "function" && filter(child) || child.type === filter) {
      yield child;
    }
    yield* findScriptureNodes(child, filter);
  }
}
export {
  ScriptureNodeType,
  findScriptureNodes
};
