import { Range } from '../common/range.cjs';
import { TextEdit } from '../common/text-edit.cjs';
import { EditFactory } from './edit-factory.cjs';
import { ScriptureDocument, ScriptureNode } from './scripture-document.cjs';
import '../common/position.cjs';
import './document.cjs';

interface ScriptureEditFactory<TDoc extends ScriptureDocument = ScriptureDocument, TEdit = TextEdit> extends EditFactory<TDoc, TEdit> {
    createScriptureEdit(document: TDoc, range: Range, nodes: ScriptureNode[] | ScriptureNode): TEdit[];
}

export type { ScriptureEditFactory };
