import { Range } from '../common/range.js';
import { TextEdit } from '../common/text-edit.js';
import { EditFactory } from './edit-factory.js';
import { ScriptureDocument, ScriptureNode } from './scripture-document.js';
import '../common/position.js';
import './document.js';

interface ScriptureEditFactory<TDoc extends ScriptureDocument = ScriptureDocument, TEdit = TextEdit> extends EditFactory<TDoc, TEdit> {
    createScriptureEdit(document: TDoc, range: Range, nodes: ScriptureNode[] | ScriptureNode): TEdit[];
}

export type { ScriptureEditFactory };
