"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var scripture_leaf_exports = {};
__export(scripture_leaf_exports, {
  ScriptureLeaf: () => ScriptureLeaf
});
module.exports = __toCommonJS(scripture_leaf_exports);
class ScriptureLeaf {
  constructor(range = { start: { line: 0, character: 0 }, end: { line: 0, character: 0 } }) {
    this.range = range;
    this.children = [];
    this.isLeaf = true;
  }
  get document() {
    return this._parent?.document;
  }
  get parent() {
    return this._parent;
  }
  updateParent(parent) {
    this._parent = parent;
  }
  remove() {
    if (this._parent == null) {
      throw new Error("The node does not have a parent.");
    }
    this._parent.removeChild(this);
  }
  getText() {
    if (this.document == null) {
      throw new Error("The node is not part of a document.");
    }
    return this.document.getText(this.range);
  }
  *findNodes(_filter) {
  }
  positionAt(offset) {
    if (this.document == null) {
      throw new Error("The node is not part of a document.");
    }
    return this.document.positionAt(offset, this.range);
  }
  appendChild(_child) {
    throw new Error("The method not supported.");
  }
  insertChild(_index, _child) {
    throw new Error("The method not supported.");
  }
  removeChild(_child) {
    throw new Error("The method not supported.");
  }
  spliceChildren(_start, _deleteCount, ..._items) {
    throw new Error("The method not supported.");
  }
  clearChildren() {
    throw new Error("The method not supported.");
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ScriptureLeaf
});
