"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var scripture_text_document_exports = {};
__export(scripture_text_document_exports, {
  ScriptureTextDocument: () => ScriptureTextDocument
});
module.exports = __toCommonJS(scripture_text_document_exports);
var import_scripture_document = require('./scripture-document.cjs');
var import_text_document = require('./text-document.cjs');
class ScriptureTextDocument extends import_text_document.TextDocument {
  constructor(uri, format, version, content, children) {
    super(uri, format, version, content);
    this._children = [];
    this.type = import_scripture_document.ScriptureNodeType.Document;
    this.document = this;
    this.parent = void 0;
    this.isLeaf = false;
    this.range = { start: { line: 0, character: 0 }, end: { line: 0, character: 0 } };
    if (children != null) {
      for (const child of children) {
        this.appendChild(child);
      }
    }
  }
  get children() {
    return this._children;
  }
  updateParent(_parent) {
    throw new Error("The method is not supported.");
  }
  remove() {
    throw new Error("The method is not supported.");
  }
  findNodes(filter) {
    return (0, import_scripture_document.findScriptureNodes)(this, filter);
  }
  appendChild(child) {
    this._children.push(child);
    child.updateParent(this);
  }
  insertChild(index, child) {
    this._children.splice(index, 0, child);
    child.updateParent(this);
  }
  removeChild(child) {
    if (child.parent !== this) {
      throw new Error("This node does not contain the specified child.");
    }
    const index = this._children.indexOf(child);
    if (index === -1) {
      throw new Error("This node does not contain the specified child.");
    }
    this._children.splice(index, 1);
    child.updateParent(void 0);
  }
  spliceChildren(start, deleteCount, ...items) {
    const removed = this._children.splice(start, deleteCount, ...items);
    for (const child of removed) {
      child.updateParent(void 0);
    }
    for (const child of items) {
      child.updateParent(this);
    }
  }
  clearChildren() {
    this._children.length = 0;
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ScriptureTextDocument
});
