import { Range } from '../common/range.cjs';
import { ScriptureDocument, ScriptureNodeType, ScriptureNode } from './scripture-document.cjs';
import { TextDocument } from './text-document.cjs';
import '../common/position.cjs';
import './document.cjs';
import '../common/text-edit.cjs';
import './text-document-change.cjs';

declare class ScriptureTextDocument extends TextDocument implements ScriptureDocument {
    private readonly _children;
    readonly type = ScriptureNodeType.Document;
    readonly document: this;
    readonly parent: undefined;
    readonly isLeaf = false;
    range: Range;
    constructor(uri: string, format: string, version: number, content: string, children?: ScriptureNode[]);
    get children(): readonly ScriptureNode[];
    updateParent(_parent: ScriptureNode | undefined): void;
    remove(): void;
    findNodes(filter?: ScriptureNodeType | ((node: ScriptureNode) => boolean) | ScriptureNodeType[]): IterableIterator<ScriptureNode>;
    appendChild(child: ScriptureNode): void;
    insertChild(index: number, child: ScriptureNode): void;
    removeChild(child: ScriptureNode): void;
    spliceChildren(start: number, deleteCount: number, ...items: ScriptureNode[]): void;
    clearChildren(): void;
}

export { ScriptureTextDocument };
