import { Range } from '../common/range.cjs';
import { TextEdit } from '../common/text-edit.cjs';
import { ScriptureDocument, ScriptureNode } from './scripture-document.cjs';
import { ScriptureEditFactory } from './scripture-edit-factory.cjs';
import { ScriptureTextDocument } from './scripture-text-document.cjs';
import { TextEditFactory } from './text-edit-factory.cjs';
import '../common/position.cjs';
import './document.cjs';
import './edit-factory.cjs';
import './text-document.cjs';
import './text-document-change.cjs';

declare abstract class ScriptureTextEditFactory<T extends ScriptureTextDocument> extends TextEditFactory<T> implements ScriptureEditFactory<T> {
    abstract createScriptureEdit(document: ScriptureDocument, range: Range, nodes: ScriptureNode[] | ScriptureNode): TextEdit[];
}

export { ScriptureTextEditFactory };
