import { Range } from '../common/range.js';
import { TextEdit } from '../common/text-edit.js';
import { ScriptureDocument, ScriptureNode } from './scripture-document.js';
import { ScriptureEditFactory } from './scripture-edit-factory.js';
import { ScriptureTextDocument } from './scripture-text-document.js';
import { TextEditFactory } from './text-edit-factory.js';
import '../common/position.js';
import './document.js';
import './edit-factory.js';
import './text-document.js';
import './text-document-change.js';

declare abstract class ScriptureTextEditFactory<T extends ScriptureTextDocument> extends TextEditFactory<T> implements ScriptureEditFactory<T> {
    abstract createScriptureEdit(document: ScriptureDocument, range: Range, nodes: ScriptureNode[] | ScriptureNode): TextEdit[];
}

export { ScriptureTextEditFactory };
