import { DocumentFactory } from './document-factory.cjs';
import { TextDocument } from './text-document.cjs';
import { TextDocumentChange } from './text-document-change.cjs';
import './document.cjs';
import '../common/position.cjs';
import '../common/range.cjs';
import '../common/text-edit.cjs';

declare class TextDocumentFactory implements DocumentFactory<TextDocument> {
    create(uri: string, format: string, version: number, content: string): TextDocument;
    update(document: TextDocument, changes: TextDocumentChange[], version: number): TextDocument;
}

export { TextDocumentFactory };
