import { DocumentFactory } from './document-factory.js';
import { TextDocument } from './text-document.js';
import { TextDocumentChange } from './text-document-change.js';
import './document.js';
import '../common/position.js';
import '../common/range.js';
import '../common/text-edit.js';

declare class TextDocumentFactory implements DocumentFactory<TextDocument> {
    create(uri: string, format: string, version: number, content: string): TextDocument;
    update(document: TextDocument, changes: TextDocumentChange[], version: number): TextDocument;
}

export { TextDocumentFactory };
