import { Position } from '../common/position.cjs';
import { Range } from '../common/range.cjs';
import { TextEdit } from '../common/text-edit.cjs';
import { Document } from './document.cjs';
import { TextDocumentChange } from './text-document-change.cjs';

declare class TextDocument implements Document {
    readonly uri: string;
    readonly format: string;
    version: number;
    private _lineOffsets;
    private _content;
    constructor(uri: string, format: string, version: number, content: string);
    get content(): string;
    getText(range?: Range): string;
    offsetAt(position: Position): number;
    positionAt(offset: number, range?: Range): Position;
    update(changes: TextDocumentChange[], version: number): void;
    updateContent(change: TextDocumentChange): void;
    createTextEdit(startOffset: number, endOffset: number, newText: string): TextEdit[];
    private getLineOffsets;
    private ensureBeforeEndOfLine;
}

export { TextDocument };
