import { Position } from '../common/position.cjs';
import { TextEdit } from '../common/text-edit.cjs';
import '../common/range.cjs';

interface OnTypeFormattingProvider<T = TextEdit> {
    readonly id: string;
    readonly onTypeTriggerCharacters: ReadonlySet<string>;
    init(): Promise<void>;
    getOnTypeEdits(uri: string, position: Position, ch: string): Promise<T[] | undefined>;
}

export type { OnTypeFormattingProvider };
